/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TDmMaillist;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TDmMaillistRecord extends UpdatableRecordImpl<TDmMaillistRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_dm_maillist.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_maillist.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_dm_maillist.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_maillist.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_dm_maillist.fk_element</code>. MAILLIST:
     * reference to study variable
     */
    public void setFkElement(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_maillist.fk_element</code>. MAILLIST:
     * reference to study variable
     */
    public Integer getFkElement() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_dm_maillist.fk_dm_person</code>. MAILLIST:
     * reference to id of person
     */
    public void setFkDmPerson(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_maillist.fk_dm_person</code>. MAILLIST:
     * reference to id of person
     */
    public Integer getFkDmPerson() {
        return (Integer) get(3);
    }

    /**
     * Setter for <code>common_dd.t_dm_maillist.fk_maillist_recip</code>.
     * MAILLIST: reference to type of recipient
     */
    public void setFkMaillistRecip(Integer value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_maillist.fk_maillist_recip</code>.
     * MAILLIST: reference to type of recipient
     */
    public Integer getFkMaillistRecip() {
        return (Integer) get(4);
    }

    /**
     * Setter for <code>common_dd.t_dm_maillist.maillist_type</code>. MAILLIST:
     * recpient type: 1 = to, 2 =cc, 3 = bcc
     */
    public void setMaillistType(Integer value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_maillist.maillist_type</code>. MAILLIST:
     * recpient type: 1 = to, 2 =cc, 3 = bcc
     */
    public Integer getMaillistType() {
        return (Integer) get(5);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TDmMaillistRecord
     */
    public TDmMaillistRecord() {
        super(TDmMaillist.T_DM_MAILLIST);
    }

    /**
     * Create a detached, initialised TDmMaillistRecord
     */
    public TDmMaillistRecord(LocalDateTime lastchange, Integer pk, Integer fkElement, Integer fkDmPerson, Integer fkMaillistRecip, Integer maillistType) {
        super(TDmMaillist.T_DM_MAILLIST);

        setLastchange(lastchange);
        setPk(pk);
        setFkElement(fkElement);
        setFkDmPerson(fkDmPerson);
        setFkMaillistRecip(fkMaillistRecip);
        setMaillistType(maillistType);
        resetChangedOnNotNull();
    }
}
